## org.flexdock.perspective.persist.xml
Interface ISerializer

All Known Implementing Classes:
  AbstractLayoutNodeSerializer, DimensionSerializer, DockableNodeSerializer, DockingPathSerializer, DockingPortNodeSerializer, DockingStateSerializer, FloatingGroupSerializer, LayoutNodeSerializer, LayoutSequenceSerializer, LayoutSerializer, PerspectiveModelSerializer, PerspectiveSerializer, PointSerializer, RectangleSerializer, SplitNodeSerializer

    public interface ISerializer

Created on 2005-06-03

Version:
  $Id: ISerializer.java,v 1.5 2005/07/06 18:10:48 winnetou25 Exp $
Author:
  Mateusz Szczap

Method Summary
`java.lang.Object` `deserialize(org.w3c.dom.Element element)`
`org.w3c.dom.Element` `serialize(org.w3c.dom.Document document, java.lang.Object object)`

Method Detail

### serialize

    org.w3c.dom.Element serialize(org.w3c.dom.Document document,
                                  java.lang.Object object)

### deserialize

    java.lang.Object deserialize(org.w3c.dom.Element element)